前端开发您现在的位置是:首页 > 博客日志 > 前端开发

Nuxt Fatal Error SyntaxError: Unexpected token

<a href='mailto:'>微wx笑</a>的头像微wx笑2021-01-19 11:47:29前端开发人已围观关键字: Nuxt  SyntaxError  Unexpected token  

执行 npm run dev 启动 Nuxt 项目调试,报错:Nuxt Fatal Error SyntaxError: Unexpected token.This is probably not a problem with npm. There is likely additional logging output above.

执行 npm run dev 启动 Nuxt 项目调试,报错:Nuxt Fatal Error  SyntaxError: Unexpected tokenZuX编程技术_踩坑日志_进阶指南_无知人生

This is probably not a problem with npm. There is likely additional logging output above.ZuX编程技术_踩坑日志_进阶指南_无知人生

npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! newIdeas-front-pc@1.0.0 dev: `nuxt`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the newIdeas-front-pc@1.0.0 dev script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/aven/.npm/_logs/2021-01-19T03_46_33_641Z-debug.log

这可能不是npm的问题。上面可能有额外的日志输出。ZuX编程技术_踩坑日志_进阶指南_无知人生

那就看看日志吧,执行:ZuX编程技术_踩坑日志_进阶指南_无知人生

cat /Users/aven/.npm/_logs/2021-01-19T03_46_33_641Z-debug.log

发现 verbose node v8.17.0,应该是Node版本问题,Nuxt 要求最低的Node版本为:v10.13,参考官方文档ZuX编程技术_踩坑日志_进阶指南_无知人生

执行 “node -v”查看版本确实是v8.17.0ZuX编程技术_踩坑日志_进阶指南_无知人生

执行“nvm list”查看已经安装的版本ZuX编程技术_踩坑日志_进阶指南_无知人生

执行“nvm use v10.23.1”切换到指定的版本,如果你没有安装,执行“nvm install v10.23.1”安装ZuX编程技术_踩坑日志_进阶指南_无知人生

再次执行“npm run dev”,项目启动成功。ZuX编程技术_踩坑日志_进阶指南_无知人生

image.pngZuX编程技术_踩坑日志_进阶指南_无知人生

本文由 微wx笑 创作,采用 CC BY-NC 4.0 许可协议。 非商业性使用可自由转载、引用、甚至修改,但需署名作者且注明出处。

很赞哦! () 有话说 ()

上一篇:Vue路由获取路由参数

下一篇:返回列表